rw.h File Reference

Classes for Rabin-Williams signature scheme. More...

Go to the source code of this file.

## Classes

class | RWFunction
| Rabin-Williams trapdoor function using the public key. More...
class | InvertibleRWFunction
| Rabin-Williams trapdoor function using the private key. More...
struct | RW
| Rabin-Williams keys. More...
struct | RWSS< STANDARD, H >
| Rabin-Williams signature scheme. More...

## Detailed Description

Classes for Rabin-Williams signature scheme.

The implementation provides Rabin-Williams signature schemes as defined in IEEE P1363. It uses Bernstein's tweaked square roots in place of square roots to speedup calculations.

See also
  RSA signatures and Rabin–Williams signatures: the state of the art (20080131), Section 6, The tweaks e and f.

Since
  Crypto++ 3.0

Definition in file rw.h.